/* Artfully masterminded by ZURB  */
/* -------------------------------------------------- 
   Table of Contents
-----------------------------------------------------
:: Shared Styles
:: Page Name 1
:: Page Name 2
*/
/* html elements */
* {
	font-family:'Raleway',sans-serif;
	box-sizing:border-box;
	color:#fff;
	background-repeat:no-repeat;
	font-size:13pt;
}

h1,h2,h3,h4,h5,h6, .title {
	font-family: 'Montserrat', sans-serif;
	font-weight: lighter !important;
}

h1{
	font-size:2.2rem !important;
}

body {
}

body,html {
	max-height:100vh;
	max-width:100vw;
	position: relative;
	background-color: #333 !important;
	padding:0;
	margin:0;
	overflow-x: hidden;
/* 	touch-action: none; */
}

/* Default all screen */
@media only screen {
	body {
	}
	
	.container{
		padding: 0 2rem;
		min-width: 100vw;
		position: relative;
	}
	
}

/* Medium screen */
@media only screen and (max-width: 40.0625em) {
	body {
		/* padding:7rem 8vw 0; */
	}
	
	.small-hidden{
		display: none;
	}
	
	.container{
		width: 100vw;
		padding: auto;
		margin: 0;
		/* border: 1px solid blue; */
	}

}

/* Medium screen */
@media only screen and (min-width: 40.0625em) {
	body {
		/* padding:7rem 8vw 0; */
	}
	
	.medium-hidden{
		display: none;
	}
	
	.container{
		width: 100vw;
		min-height: 100vh;
		padding: 0 10vw;
		margin: auto auto;
		/* border: 1px solid red; */
	    display: flex;
	    flex-direction: column;
	    justify-content: center;
	}
	
	.content{
		/* border: 1px solid green; */
		margin: auto;
		max-width: 100rem;
	}


}



/* Large screen */
@media only screen and (min-width: 60.0625em) {
	body {
		/* padding: 0 3rem 0 1rem; */
	}
	
	* {
		font-family:'Raleway',sans-serif;
		box-sizing:border-box;
		color:#fff;
		background-repeat:no-repeat;
		font-size: 16pt !important;
	}
	
	.large-hidden{
		display: none;
	}
	
	.container{
		width: 100vw;
		min-height: 100vh;
		padding: 0 5vw;
		margin: auto auto;
		/* border: 1px solid purple; */
	    display: flex;
	    flex-direction: column;
	    justify-content: center;
	}
	
	.content{
		/* border: 1px solid green; */
		margin: auto;
		/* max-width: 100rem; */
	}
	
	h1{
		font-size:2.2rem !important;
	}

	label{
		font-size:0.7rem !important;
	}

}





a,.a,.anchor {
	color:#42AB9E;
	cursor:pointer;
}

a:hover,.a:hover,.anchor:hover {
	color:#3ee7ad;
}

p{
	line-height: 1.5rem;
}

label {
	display:block;
	font-size:0.75rem;
	padding: 0;
	margin:0;
}

ul, ol, dl{
	list-style: none;
}

.bullet{
	list-style: disc !important;
}

ol.numbered{
	list-style:  decimal !important;
}

.bullet li, .numbered li{
	margin-left: 1.5rem;
	line-height: 1.5rem;
}

form{
	width: 100%;
}

li{
}

.dropdown-box{
}


label{
	color: #fff;
}

.header{
	margin-top: 1rem;
}

footer {
	text-align: center !important;
	width: 100%;
}

footer *{
	margin-top: 0.5rem;
	font-size: 0.6rem !important;
}

.splash{
	height: 15rem;
	background-image: url('/img/logo.png');
	background-repeat: no-repeat;
	background-clip: content-box;
	background-origin: content-box;
	background-size: contain;
	background-position: center center;
	background-origin: padding-box;
}








/* Material Icons */

.material-icons {
	display:inline;
	vertical-align:middle!important;
}

/* Rules for sizing the icon. */
.material-icons.md-12 {
	font-size:12pt !important;
}

.material-icons.md-18 {
	font-size:18pt !important;
}

.material-icons.md-24 {
	font-size:24pt !important;
}

.material-icons.md-36 {
	font-size:36pt !important;
}

.material-icons.md-48 {
	font-size:48pt !important;
}

.material-icons.md-64 {
	font-size:64pt !important;
}

/* Rules for using icons as black on a light background. */
.material-icons.md-dark {
	color:rgba(0,0,0,0.54);
}

.material-icons.md-dark.md-inactive {
	color:rgba(0,0,0,0.26);
}

/* Rules for using icons as white on a dark background. */
.material-icons.md-light {
	color:rgba(255,255,255,1);
}

.material-icons.md-light.md-inactive {
	color:rgba(255,255,255,0.3);
}


/*  Default styles */
.flat{
	border: none !important;
}


.hidden {
	display: none;
}

.right {
	text-align: right;
}

.inline{
	display: inline-block;
}

.full{
	width: 100% !important;
}

/*
.alert::before {
	content:"<i class='material-icons'>lock</i>";
	margin-right:.5rem;
}
*/

.alert{
	background-color: #42AB9E !important;
	color:#fff;
	border-radius: 20px;
	padding: 0.25rem 0;
	margin: 0.5rem 0;
	font-size: 0.9rem;
}

.spacer {
	margin-top:2rem;
}

ul, ol, dl{
	margin-left: 0 !important;
}


/* default input styles ---
	soften input boxes
*/
input[type=text], 
input[type=email], 
input[type=phone], 
input[type=tel],
input[type=number], 
input[type=input], 
input[type=password], 
input[type=search],
input[type=date],
input[type=datetime],
select, 
textarea{
	height: auto;
	min-height: 1.5rem;
	font-weight: normal;
	color: #fff;
	background-color: rgba( 0,0,0,0 );
	border: none;
	border: 1px solid #666;
	font-size: 1rem;
}


input:focus,
select:focus,
textarea:focus,
button:focus {
	outline: none !important;
	background-color: rgba( 0,0,0,0 ) !important;
	outline-width: 0 !important;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

input::placeholder{
	color: #666;
}

input.center::placeholder{
	text-align: center;
}

option{
	color: #000;
}

/* checkboxes and radio buttons */
input.checkbox,
input.radio {
	opacity:0;
	position:absolute;
}

input.checkbox + label,input.radio + label {
	margin-left:0;
	font-size:1rem;
}

input.checkbox + label:before,input.radio + label:before {
	display:inline-block;
	text-align:center;
	line-height:1.5rem;
	border:1px solid rgba(0,0,0,0.2);
	width:1.5rem;
	height:1.5rem;
	margin-right:.5rem;
	margin-bottom:.5rem;
	margin-left:0;
	padding-left:1px;
	font-size:1rem;
	color:#fff;
	background-color:#fff;
}

input.checkbox:checked + label:before,input.radio:checked + label:before {
	background:#999;
}

input.checkbox + label:before {
	content:"\2715";
	padding-right:1px;
	border-radius:.125rem;
}

input.radio + label:before {
	content:"\2713";
	border-radius:50%;
}

input.checkbox:disabled + label:before,input.radio:disabled + label:before {
	background-color:#dfdfdf;
}


.button, 
button,
input[type=submit],
.primary{
	color: #fff;
	background-color: #53d8c7;
	font-size: 1.25rem;
}
.button:hover, button:hover{
	background-color: #009e8a;
}

.secondary, 
button.secondary{
	color: #fff;
	background-color: #666;
}

.secondary:hover, 
button.secondary:hover{
	color: #fff;
	background-color: #666 !important;
}



/*  IOS style toggle switch elements for ratio buttons */
.toggle {
/*padding: 2rem;*/
	overflow:hidden;
	display:inline-block;
	vertical-align:middle;
	margin-bottom:1rem;
}

.toggle-title {
	margin-left:1rem;
	display:inline-block;
	vertical-align:middle;
	padding:.5rem 0;
}

.toggle input {
	position:absolute!important;
	clip:rect(0,0,0,0);
	height:1px;
	width:1px;
	border:0;
	overflow:hidden;
}

.toggle label {
	float:left;
	margin-left:0!important;
	margin-right:0!important;
}

.toggle label {
	display:inline-block;
	width:4rem;
	background-color:#eee;
	color:rgba(0,0,0,0.3);
	font-size:1rem;
	line-height:1.5rem;
	font-weight:400;
	text-align:center;
	text-shadow:none;
	padding:.5rem 1rem;
	border:1px solid rgba(0,0,0,0.2);
	-webkit-box-shadow:inset 0 1px 5px rgba(0,0,0,0.3),0 1px rgba(255,255,255,0.1);
	box-shadow:inset 0 1px 5px rgba(0,0,0,0.3),0 1px rgba(255,255,255,0.1);
	-webkit-transition:all .1s ease-in-out;
	-moz-transition:all .1s ease-in-out;
	-ms-transition:all .1s ease-in-out;
	-o-transition:all .1s ease-in-out;
	transition:all .1s ease-in-out;
}

.toggle label:hover {
	cursor:pointer;
}

.toggle input:checked + label {
	background-color:#666;
/*color: #42AB9E;
	color: #3ee7ad;*/
	color:#fff;
	-webkit-box-shadow:none;
	box-shadow:none;
	font-weight:700;
}

.toggle label:first-of-type {
	border-radius:4px 0 0 4px;
}

.toggle label:last-of-type {
	border-radius:0 4px 4px 0;
}

.toggle.disabled {
	border:1px solid red;
}





.note {
	font-style:italic;
}

.center {
	text-align:center!important;
}


.no-margin {
	margin:0!important;
}

.small {
	font-size:0.7rem;
}





/* -----------------------------------------
   layout
----------------------------------------- */

.msg-bar {
	line-height:2rem;
	vertical-align:middle;
	padding:0 2rem;
	font-weight:700;
}

.msg-bar *{
	color: #fff;
}

.msg-bar-info {
	background-color:#42AB9E;
	color:#fff!important;
}

.msg-bar-error {
	background-color:#C00;
	color:#fff!important;
}

.alert-close {
	cursor:pointer;
}





/*  ------------------  pages  ----------------------*/

.signature-pad {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  font-size: 10px;
  width: 100%;
  height: 100%;
  min-height: 400px;
  max-width: 600px;
/*
  border: 1px solid #e8e8e8;
  background-color: #fff;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.27), 0 0 40px rgba(0, 0, 0, 0.08) inset;
  border-radius: 4px;
*/
  padding: 16px;
}

.signature-pad::before,
.signature-pad::after {
  position: absolute;
  z-index: -1;
  content: "";
  width: 40%;
  height: 10px;
  bottom: 10px;
  background: transparent;
  box-shadow: 0 8px 12px rgba(0, 0, 0, 0.4);
}

/*
.signature-pad::before {
  left: 20px;
  -webkit-transform: skew(-3deg) rotate(-3deg);
          transform: skew(-3deg) rotate(-3deg);
}

.signature-pad::after {
  right: 20px;
  -webkit-transform: skew(3deg) rotate(3deg);
          transform: skew(3deg) rotate(3deg);
}
*/

.signature-pad--body {
  position: relative;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  border: 1px solid #ccc;
}

.signature-pad--body
canvas {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
/*   border-radius: 4px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.02) inset; */
}

.signature-pad--footer {
  color: #888;
  text-align: center;
  font-size: 1.2em;
  margin-top: 8px;
}

.signature-pad--actions {
/*
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
*/
  margin-top: 4px;
}


